## 1.3.0

Highlights include new and improved project templates, a procedural sky shader, drop shadow text effect and resource filters for the Scene Outline.

We also ship with the first version of multi-project workspaces which streamlines JavaScript bundling and brings back hot-reloading.

### Changelog

**Editor**
- Visualize skeleton bones in Scene View
- Add new Physical template that showcases some advanced graphics features
- Overhauled the default template to look less dull
- Reduce memory usage of cached images
- Bring back zooming with the scroll wheel while flying in Scene View
- Run npm asynchronously on project load
- Avoid unnecessary npm install invocations on unchanged package.json
- New Resource Tree view for visualizing scene and asset references
- Allow filtering objects in Scene Outline by resource references
- Add automatic environment baking and remove "re-bake immediately" button
- Shorten long resource IDs when displayed
- Switch default hotkeys for Paste as child and Paste as sibling
- Simplify text component UI
- Add support for Cyrillic, Greek and extended Latin text in the UI
- Introduce multi-project workspaces and ability to switch between scenes.
  A workspace uses the Javascript settings of the main scene and bundles all
  components in a workspace into the main scene index.js.
- Rename `packageForStreaming` setting to `prefab` to more closely match the JavaScript API
- Add tool to Asset Browser context menu for combining PBR textures into a single
  occlusion-roughness-metallic texture
- Fix crash when clicking on certain hidden directories in Asset Browser
- Eliminate memory leak during component parsing
- Add automatic crash reporter
- Store language files and cache data in per-project subfolders
- Fall back to default value for invalid .wlp property values
- Prevent imported components from disappearing after modifying them in the editor
- Always create a deploy/ folder for new projects, fixing a file watching issue

**Engine**
- Introduce drop shadow effect for text components, together with new `effectOffset` property
- Add procedural, physically-based AtmosphericSky pipeline
- Implement `WITH_FOG` feature in Physical shader
- Fall back to `diffuseColor` if there is no `diffuseTexture` set in Phong materials
- Add back missing `TEXTURED` feature to Phong Lightmapped and Normalmapped pipelines
- Restore Bloom functionality in VR sessions
- Fix crash when loading mesh with secondary texture coordinates

**Runtime**
- Assign correct targets when setting animation at runtime
- Fix occasional crash during prefab loading

**JavaScript/TypeScript API**
- Add `Prefab.getComponents` and `Prefab.getActiveComponents` for getting all components
  of a given type in a prefab/scene
- Throw exception when setting a material property with an array that's too small
